#### D.13.3.8 GITfanFromOrbitCones

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  GITfanFromOrbitCones(OC, Q, Qgamma [, file1, file2]); OC:list, Q:bigintmat, Qgamma:cone, file1:string, file2:string

Purpose:
  Returns the common refinement of the cones given in
  the list OC which is supposed to contain the orbit cones intersected with Qgamma. The optional argument can be used to specify one or two strings with file names, where the first file will contain the hashes of the GIT-cones and the second argument the actual cones in their H-representation. To obtain the whole GIT-fan Qgamma has to be take the cone generated by the columns of Q.

Return:
  a list containing the bigint hashes of the GIT cones.

Example:

    LIB "gitfan.lib";
    ring R = 0,T(1..10),wp(1,1,1,1,1,1,1,1,1,1);
    ideal J =
    T(5)*T(10)-T(6)*T(9)+T(7)*T(8),
    T(1)*T(9)-T(2)*T(7)+T(4)*T(5),
    T(1)*T(8)-T(2)*T(6)+T(3)*T(5),
    T(1)*T(10)-T(3)*T(7)+T(4)*T(6),
    T(2)*T(10)-T(3)*T(9)+T(4)*T(8);
    intmat Q[5][10] =
    1, 1, 1, 1, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 0, -1, 1, 0, 0,
    0, 1, 0, 1, 0, -1, 0, 0, 1, 0,
    0, 0, 1, 1, -1, 0, 0, 0, 0, 1;
    list AF= afaces(J,nrows(Q));
    AF=fullDimImages(AF,Q);
    AF = minimalAfaces(AF);
    list OC = orbitCones(AF,Q);
    cone Qgamma = coneViaPoints(transpose(Q));
    list GIT = GITfanFromOrbitCones(OC,Q,Qgamma);
    size(GIT);
    ==> 76

User manual for Singular version 4.4.1, 2025, generated by texi2html.